Bug 327601 - Make hid2hci only start for selected systems
Make hid2hci only start for selected systems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 09:09 EDT by Bastien Nocera
Modified: 2013-03-05 22:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 12:17:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-10-11 09:09:43 EDT
hid2hci is a one-shot application that switches HCI proxy dongles (as found in
Macs, or in Logitech USB dongles) to HCI mode from their original HID mode.

As we don't have the specs for those devices, we can't get information from the
devices as to which Bluetooth devices would get connected, or their properties.
So iMacs for example will end up with working Bluetooth, but no keyboard or mouse.

So hid2hci should only be enabled on machines that have builtin keyboard/mouse,
such as MacBooks, Powerbooks and iBooks.
Comment 1 Alex Kanavin 2007-10-11 09:29:16 EDT
If possible, it's better to start hid2hci only if there's no bluetooth
mouse/keyboard that is already connected in HID mode. Can it be detected? You
don't even need HAL for that probably.

Otherwise, it wouldn't work for people that use bluetooth mice/keyboards with
mac notebooks (because they are more convenient than builtin ones). I have a
powerbook, and I always use an external mouse and keyboard unless I'm mobile.
Fortunately mine are USB.
Comment 2 Bastien Nocera 2007-10-11 10:26:02 EDT
(In reply to comment #1)
> If possible, it's better to start hid2hci only if there's no bluetooth
> mouse/keyboard that is already connected in HID mode. Can it be detected? You
> don't even need HAL for that probably.

It can be detected, but it requires specs we don't have to implement this
functionality. If we had the docs, we wouldn't be having this conversation :)

> Otherwise, it wouldn't work for people that use bluetooth mice/keyboards with
> mac notebooks (because they are more convenient than builtin ones). I have a
> powerbook, and I always use an external mouse and keyboard unless I'm mobile.
> Fortunately mine are USB.

People can still enable it by hand, that's not going away.
Comment 3 Alex Kanavin 2007-10-15 08:37:40 EDT
> It can be detected, but it requires specs we don't have to implement this
> functionality. If we had the docs, we wouldn't be having this conversation :)

Maybe someone with a USB sniffer software on Windows can find out how it's done
there?
Comment 4 Bug Zapper 2008-04-04 10:03:17 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Alex Kanavin 2008-04-04 16:26:10 EDT
Oh yeah, the problem still exists in Fedora 9 Beta. I can't change the version
back though.
Comment 6 Bastien Nocera 2008-04-04 19:21:56 EDT
Removing from the F9 target, not going to happen.
Comment 7 Bug Zapper 2008-05-13 23:21:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Alex Kanavin 2009-01-24 08:07:30 EST
Another option is to make the switch only if there's another keyboard/mouse already connected - probably a small helper app should make that check.
Comment 9 Scott Glaser 2009-04-07 19:46:30 EDT
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Bastien Nocera 2009-04-07 19:59:55 EDT
Yes, read the bug.
Comment 11 Bug Zapper 2009-06-09 05:18:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Scott Glaser 2009-09-09 07:51:52 EDT
Have you tried with the latest hal package in Fedora 11 
or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Alex Kanavin 2009-11-18 08:20:50 EST
In F12 bluetooth seems to just work by default for me. Not sure if this means the original problem is resolved though. Bastien?
Comment 14 Scott Glaser 2009-11-19 12:17:17 EST
Due to lack of response from original bug reporter I am closing this bug as CLOSED INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.